/* ===== Root ===== */
:root {
  --bg: #fff;
  --shadow: rgb(50, 52, 59);
  --muted: rgb(83, 83, 83);
  --dark: rgb(48, 55, 62);
  --orange: #ef6434;
  --line: rgba(35, 38, 45, 0.14);
  --max: 1290px;
  --border: rgb(239, 102, 55);
  --focus: rgb(239, 104, 57);
  --error: rgb(220, 50, 50);
}

body {
  margin: 0;
  background: var(--bg);
  color: var(--muted);
}

/* ===== Introduction ===== */
.introduct-container {
  display: grid;
  grid-template-columns: 5fr 8fr;
  gap: 2rem;
}

.image-container {
  padding-right: 2rem;
  position: relative;
}

.image-container .main {
  height: 100%;
  object-fit: cover;
}

.img-bg {
  position: absolute;
  z-index: -1;
  right: -1%;
  bottom: -10%;
}

.content {
  padding: 0 24px;
}

.content a h1 {
  font-size: 36px;
  font-weight: 700;
  margin: 0 0 20px 0;
}

.content h6 {
  font-size: 14px;
  font-weight: 400;
  margin: 0;
  margin: 0 0 3rem 0;
}

.contact {
  margin-top: 3rem;
}

.call,
.mail {
  display: flex;
  align-items: center;
  gap: 1rem;
  transition: color ease 0.3s;
}

.content svg {
  color: var(--orange);
}

.call:hover,
.mail:hover {
  color: var(--orange);
}

.content h4 {
  margin: 0;
  font-size: 15px;
  font-weight: 400;
}

.call {
  margin-bottom: 1rem;
}

@media (max-width: 992px) {
  .introduct-container {
    grid-template-columns: 1fr 1fr;
    gap: 2rem;
  }

  .image-container {
    padding-right: 0;
  }

  .content {
    padding: 0;
  }
}

@media (max-width: 768px) {
  .introduct-container {
    grid-template-columns: 1fr;
    gap: 0;
  }

  .image-container {
    width: 75%;
  }

  .img-bg {
    left: 60%;
    top: 50%;
  }
}

@media (max-width: 576px) {
  .introduct-container {
    gap: 2rem;
  }

  .content a h1 {
    font-size: 30px;
  }

  .content h6 {
    margin-bottom: 2rem;
  }
}

/* ===== Inputs ===== */
.section.inputs {
  padding-top: 0;
}

.inputs h2 {
  margin-bottom: 3rem;
}

.inputs-header {
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 2rem;
}

.input {
  display: flex;
  flex-wrap: wrap;
}

.inputs input,
.inputs textarea {
  width: 100%;
  font-size: 14px;
  padding: 15px 22px;
  border: 1px solid var(--line);
  border-radius: 3px;
  transition:
    border-color 0.35s ease,
    background-color 0.35s ease;
}

.inputs input:focus,
.inputs input:focus-within,
.inputs textarea:focus,
.inputs textarea:focus-within {
  border-color: var(--border);
  outline: none;
  box-shadow: none;
}

.inputs input::placeholder,
.inputs textarea::placeholder {
  opacity: 1;
  transition: opacity 0.5s ease;
}

.inputs input:focus::placeholder,
.inputs textarea:focus::placeholder {
  opacity: 0;
}

.error-container {
  width: 100%;
  height: 2rem;
}

.error {
  display: none;
  font-size: 16px;
  font-weight: 400;
  color: var(--error);
}

.button {
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: var(--dark);
  padding: 18px 3rem;
  font-size: 12px;
  font-weight: 800;
  border: none;
}

.button:hover {
  cursor: pointer;
}

@media (max-width: 992px) {
  .inputs-header {
    grid-template-columns: 1fr 1fr;
    gap: 1.5rem;
  }
}

@media (max-width: 768px) {
  .inputs-header {
    grid-template-columns: 1fr;
    gap: 0;
  }
}
